Re: Older versions of Linux as build hosts?


Richard Purdie
 

On Tue, 2011-03-22 at 18:24 -0500, Mark Hatle wrote:
On 3/22/11 12:01 PM, Jeremy Puhlman wrote:
On 3/22/2011 9:48 AM, Mark Hatle wrote:
On 3/22/11 11:40 AM, Matt Madison wrote:
Hi,
I have done builds with both RHEL 4 and RHEL 5. Both on machines in which I do
not have root access.

For me I was able to simply provide an update python, some additional tools and
it worked. (Note, I haven't tried it in the last 2 months though, so something
may have broken since then.)
I have noticed of late, pseudo's definition of clone conflicts with my
RHEL 4's definition of clone. Aside
from that I haven't noticed any significant issues.
semantics of clone changed between RHEL 4 and RHEL 5. :(

The newer version of pseudo (upstream, not yet in Poky) fixes this issue.

It's still in development, so I wouldn't consider it stable yet -- but the
reworking of the utility directories is what was needed to identify the differences.
For what its worth, poky master is now moving ahead with new changes so
if you do have updates for master, the tree is open for them.

Cheers,

Richard

Join yocto@lists.yoctoproject.org to automatically receive all group messages.